#!/usr/bin/perl -w

use POSIX qw(locale_h);
use HTML::Template;
use locale;
use Locale::gettext;
use CGI;
use CGI::Session;
use strict;


use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Panel::Main;
use Vhffs::Panel::Menu;

my $panel = new Vhffs::Panel::Main();
if(!$panel)  {
        exit 0;
}
my $cgi = $panel->{'cgi'};

my $vhffs = $panel->{'vhffs'};
my $domain_name = $cgi->param("DOMAIN");
my $name = $cgi->param("ANAME");
my $user = $panel->{'user'};

my $dns = new Vhffs::Services::DNS( $vhffs , $domain_name , $user );


my $session = $panel->{'session'};
my $maintemplate = $panel->{'template'};

my $group = $panel->{'group'};
my $projectname = $session->param("project");


my $template;
my $output = "";
my $message;

my $templatedir = $vhffs->get_config->get_templatedir;

$template = new HTML::Template( filename => $templatedir."/misc/simplemsg.tmpl" );

if( ( ! defined $domain_name ) || ( ! defined $dns ) || ( ! defined $name ) )
{
	$message = gettext( "CGI Error!");
}
elsif( $dns->fetch < 0 )
{

	$message = gettext( "Cannot get informations on this object");

}
elsif( ( Vhffs::Acl::what_perm_for_user( $user , $dns , $vhffs ) < Vhffs::Constants::ACL_MODIFY ) && ( $user->is_admin != 1 ) )
{
    $message = gettext("You're not allowed to do this (ACL rights)");
}
elsif( $dns->get_status != Vhffs::Constants::ACTIVATED )
{
    $message = gettext("You're not allowed to do this (ACL rights)");
}
else
{
	if( $dns->delete_a( $name  ) < 0 )
	{
		$message = gettext("Cannot delete it.");
	}
	else
	{
		$message = gettext("This part of the domain is now removed.");
	}
}

$template->param( MESSAGE => $message );
set_refresh_url Vhffs::Panel::Main($panel, "/dns/prefs.pl?name=$domain_name", 0);
display Vhffs::Panel::Main($panel, $template->output);
